/*
*   \file
*   \remarks License store (DRM Core) APIs Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, License store (DRM Core)
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef LICSTORE_TST_API_H
#define LICSTORE_TST_API_H

DRM_RESULT LS_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT LS_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestLicStoreAddMultiLicenses(long argc, char **argv);
DRM_RESULT TestLicStoreReinitialize(long iIndex, char **argv);
DRM_RESULT TestLicStoreOpenStore(long argc, char **argv);
DRM_RESULT TestLicStoreCloseStore(long argc, char **argv);
DRM_RESULT TestLicStoreAddLicense(long argc, char **argv);
DRM_RESULT TestLicStoreGetLicenseKeys(long argc, char **argv);
DRM_RESULT TestLicStoreGetLicense(long argc, char **argv);
DRM_RESULT TestLicStoreInitEnum(long argc, char **argv);
DRM_RESULT TestLicStoreEnumNext(long argc, char **argv);
DRM_RESULT TestLicStoreEnumDelete(long argc, char **argv);
DRM_RESULT TestLicStoreAddMultiLicenses(long argc, char **argv);
DRM_RESULT TestLicStoreLog(long argc, char **argv);

#endif

